System Requirements

Flight Instructor Refresher Course

MINIMUM System Requirements for Flight Instructor Refresher Course
Microsoft Edgeversion 1 or Higher
Microsoft Internet Explorerversion 9 or Higher
Google Chromeversion 21 or Higher
Mozilla Firefoxversion 15 or Higher
Apple Safariversion 5.1 or Higher
This program will work on most mobile devices, including Google Android, Apple iPhone and iPad, and Windows Phone.
Click here to check your Browser Settings